Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Interface TypeMapping

All Superinterfaces:
  javax.xml.rpc.encoding.TypeMapping

All Known Implementing Classes:
  TypeMappingImpl

public interface TypeMapping
extends javax.xml.rpc.encoding.TypeMapping

This interface describes the AXIS TypeMapping.

Method Summary
`Class[]` | `getAllClasses()` Returns an array of all the classes contained within this mapping
`Class` | `getClassForQName(javax.xml.namespace.QName xmlType)` Gets the Class mapped to QName.
`TypeMapping` | `getDelegate()` getDelegate gets the new Delegate TypeMapping
`javax.xml.rpc.encoding.DeserializerFactory` | `getDeserializer(javax.xml.namespace.QName xmlType)` Gets the DeserializerFactory registered for the specified XML data type.
`javax.xml.rpc.encoding.SerializerFactory` | `getSerializer(Class javaType)` Gets the SerializerFactory registered for the specified pair of Java type and XML data type.
`javax.xml.namespace.QName` | `getTypeQName(Class javaType)` Gets the QName for the type mapped to Class.
`void` | `setDelegate(TypeMapping delegate)` setDelegate sets the new Delegate TypeMapping

Methods inherited from interface javax.xml.rpc.encoding.TypeMapping
`getDeserializer, getSerializer, getSupportedEncodings, isRegistered, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Method Detail

### setDelegate

    public void setDelegate(TypeMapping delegate)

  setDelegate sets the new Delegate TypeMapping

### getDelegate

    public TypeMapping getDelegate()

  getDelegate gets the new Delegate TypeMapping

### getSerializer

    public javax.xml.rpc.encoding.SerializerFactory getSerializer(Class javaType)
                                                           throws javax.xml.rpc.JAXRPCException

  Gets the SerializerFactory registered for the specified pair of Java type and XML data type.

  Parameters:
    `javaType` - - Class of the Java type
  Returns:
    Registered SerializerFactory
  Throws:
    `javax.xml.rpc.JAXRPCException` - - If there is no registered SerializerFactory for this pair of Java type and XML data type java.lang.IllegalArgumentException If invalid or unsupported XML/Java type is specified

### getDeserializer

    public javax.xml.rpc.encoding.DeserializerFactory getDeserializer(javax.xml.namespace.QName xmlType)
                                                               throws javax.xml.rpc.JAXRPCException

  Gets the DeserializerFactory registered for the specified XML data type.

  Parameters:
    `xmlType` - - Qualified name of the XML data type
  Returns:
    Registered DeserializerFactory
  Throws:
    `javax.xml.rpc.JAXRPCException` - - If there is no registered DeserializerFactory for this pair of Java type and XML data type java.lang.IllegalArgumentException - If invalid or unsupported XML/Java type is specified

### getTypeQName

    public javax.xml.namespace.QName getTypeQName(Class javaType)

  Gets the QName for the type mapped to Class.

  Parameters:
    `javaType` - class or type
  Returns:
    xmlType qname or null

### getClassForQName

    public Class getClassForQName(javax.xml.namespace.QName xmlType)

  Gets the Class mapped to QName.

  Parameters:
    `xmlType` - qname or null
  Returns:
    javaType class or type

### getAllClasses

    public Class[] getAllClasses()

  Returns an array of all the classes contained within this mapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.